Subject: [PATCH v11 7/7] ARM: tegra: support Trusted Foundations by default

From: [email-masked] (Alex Courbot)
Date: Fri, 29 Nov 2013 10:07:48 +0900

On 11/29/2013 04:47 AM, Dave Martin wrote:
> On Thu, Nov 28, 2013 at 04:58:33PM +0000, Stephen Warren wrote:
>> On 11/27/2013 11:02 PM, Alexandre Courbot wrote:
>>> On Wed, Nov 27, 2013 at 1:47 AM, Dave Martin <[email-masked]> wrote:
>>>> On Tue, Nov 26, 2013 at 10:35:58AM +0900, Alexandre Courbot wrote:
>>>>> On Tue, Nov 26, 2013 at 9:06 AM, Olof Johansson <[email-masked]> wrote:
>>>>>> On Sun, Nov 24, 2013 at 03:30:52PM +0900, Alexandre Courbot wrote:
>>>>>>> Support for Trusted Foundations is light and allows the kernel to run on
>>>>>>> a wider range of devices, so enable it by default.
>>>>>>>
>>>>>>> Signed-off-by: Alexandre Courbot <[email-masked]>
>>>>>>> Reviewed-by: Tomasz Figa <[email-masked]>
>>>>>>> Reviewed-by: Stephen Warren <[email-masked]>
>>>>>>> ---
>>>>>>>   arch/arm/configs/tegra_defconfig | 1 +
>>>>>>>   1 file changed, 1 insertion(+)
>>>>>>
>>>>>> I think we want this enabled on multi_v7_defconfig too? Send a separate
>>>>>> patch for that once this is merged though.
>>>>>
>>>>> Will do.
>>>>
>>>> Should it just be default y if one of the relevant
>>>> CONFIG_ARCH_TEGRA_*_SOC is selected?
>>>>
>>>> That way, it's automatically included if relevant, and automatically
>>>> excluded if not -- regardless of whether the kernel is multiplatform
>>>> or not.
>>>
>>> So basically, that would mean setting the default to 'y' since the
>>> option is not available unless a supported platform is included?
>>>
>>> I'm fine this way too, if Stephen also agrees.
>>
>> Fine by me.
>
> Sure, as long as the result is right, that should be fine.

Ok, then please ignore this patch in this series and I will send a new 
one that changes the CONFIG_TRUSTED_FOUNDATION's default setting once we 
have confirmation from Russell that this series can be merged.

Thanks,
Alex.